using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class CheckBox
    {
        public static CheckBoxHandler Click(string value, int repeatingTime = 0)
        {
            return HandlerProvider.CheckBoxHandler.Click(value, repeatingTime);
        }
        public static CheckBoxHandler DoubleClick(string value, int repeatingTime = 0)
        {
            return HandlerProvider.CheckBoxHandler.DoubleClick(value, repeatingTime);
        }
        public static CheckBoxHandler ClickByName(string value, int repeatingTime = 0)
        {
            return HandlerProvider.CheckBoxHandler.ClickByName(value, repeatingTime);
        }
        public static CheckBoxHandler ClickByAutoId(string value, int repeatingTime = 0)
        {
            return HandlerProvider.CheckBoxHandler.ClickByAutoId(value, repeatingTime);
        }
        public static bool IsChecked(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.CheckBoxHandler.IsChecked(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool Exist(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.CheckBoxHandler.Exist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
    }
}
